# AAMVAMotorCarrierData class

Motor Carrier Data. File type "MC".

Inheritance
  - Object
  - GenericDocumentWrapper
  - AAMVAMotorCarrierData

## Constructors

AAMVAMotorCarrierData.new(GenericDocument document)

## Properties

carrierName → TextFieldWrapper?
  Data element ID "MAA". The name of the carrier responsible for safety. This can be an individual, partnership or corporation responsible for the transportation of persons or property. This is the name that is recognized by law.
  no setter
city → TextFieldWrapper?
  Data element ID "MAL". This is the city for the mailing address of the individual carrier. This information is utilized by the base jurisdiction to send information to the carrier that purchased the IRP credentials.
  no setter
document → GenericDocument
  final inherited
hashCode → int
  The hash code for this object.
  no setter inherited
jurisdiction → TextFieldWrapper?
  Data element ID "MAI". This is the jurisdiction of the residential address of the individual carrier. This information is utilized by the base jurisdiction to send information to the carrier that purchased the IRP credentials.
  no setter
requiredDocumentType → String
  no setter override
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
streetAddress → TextFieldWrapper?
  Data element ID "MAK". This is the mailing address of the individual carrier. This information is utilized by the base jurisdiction to send information to the carrier that purchased the IRP credentials.
  no setter
usdotNumber → TextFieldWrapper?
  Data element ID "MAN". A unique identifier assigned to the carrier responsible for safety issued by the U.S. Department of Transportation – Federal Motor Carrier Safety Administration.
  no setter
zip → TextFieldWrapper?
  Data element ID "MAO". The ZIP or Postal code of the resident address of the vehicle owner.
  no setter

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

DOCUMENT_NORMALIZED_TYPE → const String
  Normalized document type name of this document wrapper.
DOCUMENT_TYPE → const String
  Generic document type name of this document wrapper.